package cn.nhyw.gysgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywgysglryxxDao")
public class NhywgysglryxxDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywgysglryxx(Map map) throws SQLException{
		this.insert("insert_Nhywgysglryxx",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywgysglryxx(List batch) throws SQLException{
		this.insert("batch_insert_Nhywgysglryxx",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywgysglryxx(Map map) throws SQLException{
		return this.update("update_Nhywgysglryxx",map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywgysglryxx(Map map) throws SQLException{
		return this.delete("delete_Nhywgysglryxx",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywgysglryxx(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywgysglryxx",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywgysglryxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywgysglryxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywgysglryxx(Map map) throws SQLException{
		return this.queryForPage("query_Nhywgysglryxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywgysglryxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywgysglryxx",map);
	}
	
}
